Skip to content
Snippets Groups Projects
configure 658 KiB
Newer Older
  • Learn to ignore specific revisions
  •   ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
    $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    	 X"$ac_dest" : 'X\(//\)[^/]' \| \
    	 X"$ac_dest" : 'X\(//\)$' \| \
    	 X"$ac_dest" : 'X\(/\)' \| \
    	 .     : '\(.\)' 2>/dev/null ||
    echo X"$ac_dest" |
        sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
      	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
      	  /^X\(\/\/\)$/{ s//\1/; q; }
      	  /^X\(\/\).*/{ s//\1/; q; }
      	  s/.*/./; q'`
      { if $as_mkdir_p; then
        mkdir -p "$ac_dir"
      else
        as_dir="$ac_dir"
        as_dirs=
        while test ! -d "$as_dir"; do
          as_dirs="$as_dir $as_dirs"
          as_dir=`(dirname "$as_dir") 2>/dev/null ||
    $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    	 X"$as_dir" : 'X\(//\)[^/]' \| \
    	 X"$as_dir" : 'X\(//\)$' \| \
    	 X"$as_dir" : 'X\(/\)' \| \
    	 .     : '\(.\)' 2>/dev/null ||
    echo X"$as_dir" |
        sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
      	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
      	  /^X\(\/\/\)$/{ s//\1/; q; }
      	  /^X\(\/\).*/{ s//\1/; q; }
      	  s/.*/./; q'`
        done
        test ! -n "$as_dirs" || mkdir $as_dirs
      fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
    echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
       { (exit 1); exit 1; }; }; }
    
    if test "$ac_dir" != .; then
      ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
      # A "../" for each directory in $ac_dir_suffix.
      ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
    else
      ac_dir_suffix= ac_top_builddir=
    fi
    
    case $srcdir in
      .)  # No --srcdir option.  We are building in place.
        ac_srcdir=.
        if test -z "$ac_top_builddir"; then
           ac_top_srcdir=.
        else
           ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
        fi ;;
      [\\/]* | ?:[\\/]* )  # Absolute path.
        ac_srcdir=$srcdir$ac_dir_suffix;
        ac_top_srcdir=$srcdir ;;
      *) # Relative path.
        ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
        ac_top_srcdir=$ac_top_builddir$srcdir ;;
    esac
    
    # Do not use `cd foo && pwd` to compute absolute paths, because
    # the directories may not exist.
    case `pwd` in
    .) ac_abs_builddir="$ac_dir";;
    *)
      case "$ac_dir" in
      .) ac_abs_builddir=`pwd`;;
      [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
      *) ac_abs_builddir=`pwd`/"$ac_dir";;
      esac;;
    esac
    case $ac_abs_builddir in
    .) ac_abs_top_builddir=${ac_top_builddir}.;;
    *)
      case ${ac_top_builddir}. in
      .) ac_abs_top_builddir=$ac_abs_builddir;;
      [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
      *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
      esac;;
    esac
    case $ac_abs_builddir in
    .) ac_abs_srcdir=$ac_srcdir;;
    *)
      case $ac_srcdir in
      .) ac_abs_srcdir=$ac_abs_builddir;;
      [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
      *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
      esac;;
    esac
    case $ac_abs_builddir in
    .) ac_abs_top_srcdir=$ac_top_srcdir;;
    *)
      case $ac_top_srcdir in
      .) ac_abs_top_srcdir=$ac_abs_builddir;;
      [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
      *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
      esac;;
    esac
    
      { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
    echo "$as_me: executing $ac_dest commands" >&6;}
      case $ac_dest in
        depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
      # Strip MF so we end up with the name of the file.
      mf=`echo "$mf" | sed -e 's/:.*$//'`
      # Check whether this is an Automake generated Makefile or not.
      # We used to match only the files named `Makefile.in', but
      # some people rename them; so instead we look at the file content.
      # Grep'ing the first line is not enough: some people post-process
      # each Makefile.in and add a new line on top of each file to say so.
      # So let's grep whole file.
      if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
        dirpart=`(dirname "$mf") 2>/dev/null ||
    $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    	 X"$mf" : 'X\(//\)[^/]' \| \
    	 X"$mf" : 'X\(//\)$' \| \
    	 X"$mf" : 'X\(/\)' \| \
    	 .     : '\(.\)' 2>/dev/null ||
    echo X"$mf" |
        sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
      	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
      	  /^X\(\/\/\)$/{ s//\1/; q; }
      	  /^X\(\/\).*/{ s//\1/; q; }
      	  s/.*/./; q'`
      else
        continue
      fi
      # Extract the definition of DEPDIR, am__include, and am__quote
      # from the Makefile without running `make'.
      DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
      test -z "$DEPDIR" && continue
      am__include=`sed -n 's/^am__include = //p' < "$mf"`
      test -z "am__include" && continue
      am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
      # When using ansi2knr, U may be empty or an underscore; expand it
      U=`sed -n 's/^U = //p' < "$mf"`
      # Find all dependency output files, they are included files with
      # $(DEPDIR) in their names.  We invoke sed twice because it is the
      # simplest approach to changing $(DEPDIR) to its actual value in the
      # expansion.
      for file in `sed -n "
        s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
           sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
        # Make sure the directory exists.
        test -f "$dirpart/$file" && continue
        fdir=`(dirname "$file") 2>/dev/null ||
    $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    	 X"$file" : 'X\(//\)[^/]' \| \
    	 X"$file" : 'X\(//\)$' \| \
    	 X"$file" : 'X\(/\)' \| \
    	 .     : '\(.\)' 2>/dev/null ||
    echo X"$file" |
        sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
      	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
      	  /^X\(\/\/\)$/{ s//\1/; q; }
      	  /^X\(\/\).*/{ s//\1/; q; }
      	  s/.*/./; q'`
        { if $as_mkdir_p; then
        mkdir -p $dirpart/$fdir
      else
        as_dir=$dirpart/$fdir
        as_dirs=
        while test ! -d "$as_dir"; do
          as_dirs="$as_dir $as_dirs"
          as_dir=`(dirname "$as_dir") 2>/dev/null ||
    $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    	 X"$as_dir" : 'X\(//\)[^/]' \| \
    	 X"$as_dir" : 'X\(//\)$' \| \
    	 X"$as_dir" : 'X\(/\)' \| \
    	 .     : '\(.\)' 2>/dev/null ||
    echo X"$as_dir" |
        sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
      	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
      	  /^X\(\/\/\)$/{ s//\1/; q; }
      	  /^X\(\/\).*/{ s//\1/; q; }
      	  s/.*/./; q'`
        done
        test ! -n "$as_dirs" || mkdir $as_dirs
      fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
    echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
       { (exit 1); exit 1; }; }; }
    
        # echo "creating $dirpart/$file"
        echo '# dummy' > "$dirpart/$file"
      done
    done
    
    cat >>$CONFIG_STATUS <<\_ACEOF
    
    
    { (exit 0); exit 0; }
    _ACEOF
    chmod +x $CONFIG_STATUS
    ac_clean_files=$ac_clean_files_save
    
    
    # configure is writing to config.log, and then calls config.status.
    # config.status does its own redirection, appending to config.log.
    # Unfortunately, on DOS this fails, as config.log is still kept open
    # by configure, so config.status won't be able to write to it; its
    # output is simply discarded.  So we exec the FD to /dev/null,
    # effectively closing config.log, so it can be properly (re)opened and
    # appended to by config.status.  When coming back to configure, we
    # need to make the FD available again.
    if test "$no_create" != yes; then
      ac_cs_success=:
      ac_config_status_args=
      test "$silent" = yes &&
        ac_config_status_args="$ac_config_status_args --quiet"
      exec 5>/dev/null
      $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
      exec 5>>config.log
      # Use ||, not &&, to avoid exiting from the if with $? = 1, which
      # would make configure fail if this is the last instruction.
      $ac_cs_success || { (exit 1); exit 1; }
    fi